#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-desktop-3.38.4

- Next

  gnome-video-effects-0.5.0

- Up
- Home

# gnome-menus-3.36.0

## Introduction to GNOME Menus

The GNOME Menus package contains an implementation of the draft Desktop Menu Specification from freedesktop.org. It also contains the GNOME menu layout configuration files and `.directory` files.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-menus/3.36/gnome-menus-3.36.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gnome-menus/3.36/gnome-menus-3.36.0.tar.xz

- Download MD5 sum: a8fd71fcf31a87fc799d80396a526829

- Download size: 492 KB

- Estimated disk space required: 8.5 MB

- Estimated build time: less than 0.1 SBU

### GNOME Menus Dependencies

#### Required

GLib-2.66.7

#### Recommended

gobject-introspection-1.66.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gnome-menus

## Installation of GNOME Menus

Install GNOME Menus by running the following commands:

    ./configure --prefix=/usr \
                --sysconfdir=/etc \
                --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: libgnome-menu-3.so
Installed Directories: /etc/xdg/menus, /usr/include/gnome-menus-3.0, and /usr/share/desktop-directories

### Short Descriptions

`libgnome-menu-3.so` | contains functions required to support GNOME's implementation of the Desktop Menu Specification

Last updated on 2021-02-24 18:50:56 -0800

- Prev

  gnome-desktop-3.38.4

- Next

  gnome-video-effects-0.5.0

- Up
- Home